%global commit e28902a24e4acabffc11e96d26386e8c1b60ae59
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           ibm_lotus_notes_wrapper
Version:        0
Release:        2%{?dist}
Summary:        Fix running Lotus Notes under Gnome 3

License:        GPLv2+
URL:            https://github.com/sgh/lotus-notes_gtk2.23.3
Source0:        https://github.com/sgh/lotus-notes_gtk2.23.3/archive/%{commit}/lotus-notes_gtk2.23.3-%{shortcommit}.tar.gz
Source1:        lotus-notes-wrapper.desktop
Source2:	kill-notes
ExclusiveArch:	%{ix86}

BuildRequires:	desktop-file-utils
BuildRequires:  pkgconfig(gtk+-2.0) 
Requires:       ibm_lotus_notes >= 8.5.2

%description
Library and wrapper which fixes displaying of window contents in IBM Lotus Notes
running on Gnome 3.


%prep
%setup -qn lotus-notes_gtk2.23.3-%{shortcommit}


%build
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}/opt/ibm/lotus/notes
cp libnotesgtkfix.so notes-wrapper %{buildroot}/opt/ibm/lotus/notes

mkdir -p %{buildroot}%{_datadir}/applications
cp %{SOURCE1} %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_bindir}
install -m 755 -p %{SOURCE2} %{buildroot}%{_bindir}

desktop-file-validate %{buildroot}%{_datadir}/applications/lotus-notes-wrapper.desktop

%clean
rm -rf %{buildroot}

%files
%{_bindir}/kill-notes
%dir /opt/ibm
%dir /opt/ibm/lotus
%dir /opt/ibm/lotus/notes
/opt/ibm/lotus/notes/libnotesgtkfix.so
/opt/ibm/lotus/notes/notes-wrapper
%{_datadir}/applications/lotus-notes-wrapper.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Mon Feb 04 2013 Simone Caronni <negativo17@gmail.com> - 0-2
- First build.

